#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    pair<int,int>t[1510];
    set<pair<int,int>>s;
    for (int i=0; i<n; i++)
    {
        int a,b;
        cin >> a >> b;
        t[i]=make_pair(a,b);
    }
    int br=0;
    for (int i=0; i<n; i++)
        for (int j=i+1; j<n; j++)
            s.insert(make_pair(t[i].first-t[j].first,t[i].second-t[j].second));
    for (int i=0; i<n; i++)
        for (int j=i+1; j<n; j++)
        {
            br+=s.count(make_pair(2*(t[i].first-t[j].first),2*(t[i].second-t[j].second)));
            br+=s.count(make_pair(-2*(t[i].first-t[j].first),-2*(t[i].second-t[j].second)));
        }
    cout << br;
    return 0;
}